Bug 425768

Summary: 2.7.90-1.x86_64 breaks fetchmail and apache
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: glibcAssignee: Jakub Jelinek <jakub>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: drepper.fsp, valdis.kletnieks
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-04 07:46:03 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235706    
Attachments:
Description Flags
Test program none

Description Nicolas Mailhot 2007-12-15 04:09:36 EST
glibc 2.7.90-1.x86_64 breaks address resolution in fetchmail and apache,
preventing apache from starting and fetchmail from fetching mail

Reverting to F8 glibc heals the system
Comment 1 Jakub Jelinek 2007-12-16 06:38:26 EST
This is extremely vague.  Which address they are resolving, is that provided
from DNS, /etc/hosts, something else?  Can you find out what arguments is
getaddrinfo
called with (e.g. using ltrace or gdb)?  What does it return?  Do you have
/etc/gai.conf or not?
Comment 2 Nicolas Mailhot 2007-12-16 06:53:44 EST
In apache case I think it broke on 127.0.0.1

Just run any of the aforementionned programs, they break all over the place
Comment 3 Nicolas Mailhot 2007-12-16 07:58:01 EST
For apache

# /etc/init.d/httpd restart
Arrêt de httpd :                                           [  OK  ]
Démarrage de httpd :[Sun Dec 16 13:38:08 2007] [crit] (EAI 9)Address family for
hostname not supported: alloc_listener: failed to set up sockaddr for 127.0.0.1
Syntax error on line 134 of /etc/httpd/conf/httpd.conf:
Listen setup failed
                                                           [ÉCHOUÉ]
(line 134 is Listen 127.0.0.1:80)


For fetchmail

time(0x7fffc62f8798)                             = 1197809049
setlocale(2, "")                                 = "C"
localtime(0x7fffc62f8798)                        = 0x2b22e5170d40
strftime(???, 140736518391334, NULL, 0x37303032) = 24
setlocale(2, "C")                                = "C"
dcgettext(0, 0x42b840, 5, 0x37303032, 0xfffffffd) = 0x42b840
fflush(0x2b22e516c760)                           = 0
__fprintf_chk(0x2b22e516c760, 1, 0x42d6e4, 0x7fffc62fa92e, 0x2b22e5379460) = 11
__vfprintf_chk(0x2b22e516c760, 1, 0x42b840, 0x7fffc62f86c0, 0x42d6e8) = 88
fflush(0x2b22e516c760fetchmail: 6.3.8 querying imap.gmail.com (protocol IMAP) at
Sun Dec 16 13:44:09 2007: poll started
)                           = 0
memset(0x7fffc62f3e50, '\000', 152)              = 0x7fffc62f3e50
sigemptyset(0x7fffc62f3e58)                      = 0
sigaction(14, 0x7fffc62f3e50, 0x7fffc62f3db0)    = 0
__sigsetjmp(0x643300, 1, 0x8492a0, 0x7fffc62f3db8, 0x7fffc62f3e50) = 0
setitimer(0, 0x7fffc62f3ee0, 0, 0x846480, 0x7fffc62f3e50) = 0
strcasecmp("imap.gmail.com", "hesiod")           = 1
getaddrinfo("imap.gmail.com", NULL, 0x7fffc62f40b0, 0x7fffc62f4140) = 0
free(0x841cc0)                                   = <void>
strlen("gmail-imap.l.google.com")                = 23
malloc(24)                                       = 0x841cc0
strcpy(0x841cc0, "gmail-imap.l.google.com")      = 0x841cc0
malloc(16)                                       = 0x849b20
memcpy(0x849b20, "\002", 16)                     = 0x849b20
freeaddrinfo(0x849ad0)                           = <void>
getaddrinfo("imap.gmail.com", "imaps", 0x7fffc62f3de0, 0x6491f8) = -2
gai_strerror(-2)                                 = "Name or service not known"
dcgettext(0, 0x42b388, 5, 0, 0xfefefefefefefeff) = 0x42b388
fflush(0x2b22e516c840)                           = 0
__fprintf_chk(0x2b22e516c840, 1, 0x42d6e4, 0x7fffc62fa92e,
0x2b22e5379460fetchmail: ) = 11
__vfprintf_chk(0x2b22e516c840, 1, 0x42b388, 0x7fffc62f3cc0,
0x2b22e5379460getaddrinfo("imap.gmail.com","imaps") error: Name or service not known
) = 71
fflush(0x2b22e516c840)                           = 0
__errno_location()                               = 0x2b22e5379408
dcgettext(0, 0x430c46, 5, -1, 0x2b22e5379460)    = 0x430c46
__vsnprintf_chk(0x8492a0, 2048, 1, -1, 0x430c46) = 40
fputs("IMAP connection to imap.gmail.co"..., 0x2b22e516c840IMAP connection to
imap.gmail.com failed) = 1
strerror(0)                                      = "Success"
__vsnprintf_chk(0x8492a0, 2048, 1, -1, 0x43169e) = 10
fputs(": Success\n", 0x2b22e516c840: Success
)             = 1
fflush(0x2b22e516c840)                           = 0
setitimer(0, 0x7fffc62f3ee0, 0, -1, 0x2b22e5379460) = 0
setitimer(0, 0x7fffc62f3ee0, 0, 0x846480, 0x2b22e5379460) = 0
memset(0x7fffc62f3e50, '\000', 152)              = 0x7fffc62f3e50
sigemptyset(0x7fffc62f3e58)                      = 0
sigaction(14, 0x7fffc62f3e50, 0x7fffc62f3db0)    = 0
time(0x7fffc62f8798)                             = 1197809049
setlocale(2, "")                                 = "C"
localtime(0x7fffc62f8798)                        = 0x2b22e5170d40
strftime(???, 140736518391334, NULL, 0x37303032) = 24
setlocale(2, "C")                                = "C"
dcgettext(0, 0x42b8c0, 5, 0x37303032, 0xfffffffd) = 0x42b8c0
fflush(0x2b22e516c760)                           = 0
__fprintf_chk(0x2b22e516c760, 1, 0x42d6e4, 0x7fffc62fa92e, 0x2b22e5379460) = 11
__vfprintf_chk(0x2b22e516c760, 1, 0x42b8c0, 0x7fffc62f86c0, 0x42d6e8) = 90
fflush(0x2b22e516c760fetchmail: 6.3.8 querying imap.gmail.com (protocol IMAP) at
Sun Dec 16 13:44:09 2007: poll completed
)                           = 0
dcgettext(0, 0x42d71c, 5, 2, 0xffffffff)         = 0x42d71c
fflush(0x2b22e516c760)                           = 0
__fprintf_chk(0x2b22e516c760, 1, 0x42d6e4, 0x7fffc62fa92e, 0x2b22e5379460) = 11
__vfprintf_chk(0x2b22e516c760, 1, 0x42d71c, 0x7fffc62f86f0, 0x42d6e8) = 24
fflush(0x2b22e516c760fetchmail: Query status=2 (SOCKET)
)                           = 0
Comment 4 Valdis Kletnieks 2007-12-22 01:55:04 EST
*** Bug 426563 has been marked as a duplicate of this bug. ***
Comment 5 Valdis Kletnieks 2007-12-22 01:58:16 EST
Additional info from bug# 426563 - the problem only manifests for things listed
in /etc/hosts if nscd is running.  If nscd is disabled/stopped, things work. 
Simple test program: "ping localhost" with nscd running (you get a host unknown)
and stopped (ping works).  So that's an easy workaround and/or test case for
Nicholas (easier than re-installing a glibc RPM each time, anyhow...)
Comment 6 Nicolas Mailhot 2007-12-22 04:54:53 EST
(In reply to comment #5)
> Additional info from bug# 426563 - the problem only manifests for things listed
> in /etc/hosts if nscd is running.

Unfortunately – not.
I don't have nscd running or even installed on system.
I do have a local bind running, but even then it has fallbacks to ISP DNSs

nameserver 192.168.1.1
nameserver 212.198.2.51
nameserver 212.198.0.91
Comment 7 Valdis Kletnieks 2007-12-26 01:32:05 EST
Hmm... in that case, bug #426563 may *not* be a dup...
Comment 8 Ulrich Drepper 2007-12-26 18:55:59 EST
I've fixed a pretty bad bug upstream.  It causes all services other than DNS to
not return any hostnames.  Please test after Jakub builds a new version.
Comment 9 Jakub Jelinek 2007-12-27 11:00:57 EST
Please try glibc-2.7.90-2 in rawhide (or before it hits there in
http://koji.fedoraproject.org/koji/buildinfo?buildID=29186
Thanks.
Comment 10 Valdis Kletnieks 2007-12-28 22:25:39 EST
OK, 2.7.90-2 fixes the issue I reported in #426563, so I'm good to go now...
Comment 11 Nicolas Mailhot 2008-01-02 05:56:12 EST
Hi all and happy new year.

I'm afraid 2.7.90-2 still fails for me. Setup is as before a fedora devel system
with local bind server

[root@rousalka glibc-new]# ls *rpm
glibc-2.7.90-2.x86_64.rpm         glibc-debuginfo-2.7.90-2.x86_64.rpm 
glibc-headers-2.7.90-2.x86_64.rpm  nscd-2.7.90-2.x86_64.rpm
glibc-common-2.7.90-2.x86_64.rpm  glibc-devel-2.7.90-2.x86_64.rpm     
glibc-utils-2.7.90-2.x86_64.rpm
[root@rousalka glibc-new]# rpm -Fvh *rpm
Préparation...              ########################################### [100%]
   1:glibc-common           ########################################### [ 20%]
   2:glibc                  ########################################### [ 40%]
   3:glibc-utils            ########################################### [ 60%]
   4:glibc-headers          ########################################### [ 80%]
   5:glibc-devel            ########################################### [100%]
[root@rousalka glibc-new]# /etc/init.d/named restart
Stopping named: ..                                         [  OK  ]
Starting named:                                            [  OK  ]
[root@rousalka glibc-new]# /etc/init.d/httpd restart
Arrêt de httpd :                                           [  OK  ]
Démarrage de httpd :[Wed Jan 02 11:50:23 2008] [crit] (EAI 9)Address family for
hostname not supported: alloc_listener: failed to set up sockaddr for 127.0.0.1
Syntax error on line 134 of /etc/httpd/conf/httpd.conf:
Listen setup failed
                                                           [ÉCHOUÉ]
[root@rousalka glibc-new]# ls ../*rpm
../glibc-2.7-2.x86_64.rpm  ../glibc-common-2.7-2.x86_64.rpm 
../glibc-devel-2.7-2.x86_64.rpm  ../glibc-headers-2.7-2.x86_64.rpm 
../glibc-utils-2.7-2.x86_64.rpm
[root@rousalka glibc-new]# cd ..
[root@rousalka tmp]# rpm -Uvh --oldpackage glibc-*rpm
Préparation...              ########################################### [100%]
   1:glibc-common           ########################################### [ 20%]
   2:glibc                  ########################################### [ 40%]
   3:glibc-utils            ########################################### [ 60%]
   4:glibc-headers          ########################################### [ 80%]
   5:glibc-devel            ########################################### [100%]
[root@rousalka tmp]# /etc/init.d/httpd restart
Arrêt de httpd :                                           [ÉCHOUÉ]
Démarrage de httpd :                                       [  OK  ]
Comment 12 Ulrich Drepper 2008-01-02 11:10:04 EST
(In reply to comment #11)
> I'm afraid 2.7.90-2 still fails for me. Setup is as before a fedora devel system
> with local bind server

You'll have to provide much more information.  I cannot see any problems here
anymore.
Comment 13 Nicolas Mailhot 2008-01-02 14:10:56 EST
(In reply to comment #12)

> You'll have to provide much more information.

Please specify what info you want. All requested info has already been provided
Comment 14 Ulrich Drepper 2008-01-02 14:56:50 EST
(In reply to comment #13)
> Please specify what info you want. All requested info has already been provided


Not at all.  The problem with localhost (as shown in the fetchmail case in
comment #3) cannot be an issue anymore.  If it is, it is likely a problem in
your installation.  But in comment #11 you talk about httpd about which no
information is provided.

Provide strace and ltrace output.  Start nscd with -d -d -d and show the output.
 What happens without nscd?  etc etc
Comment 15 Nicolas Mailhot 2008-01-02 15:29:11 EST
(In reply to comment #14)
> (In reply to comment #13)
> > Please specify what info you want. All requested info has already been provided
> 
> 
> Not at all.  The problem with localhost (as shown in the fetchmail case in
> comment #3) cannot be an issue anymore.

As shown in comment #11 I posted yesterday it is

(EAI 9)Address family for
hostname not supported: alloc_listener: failed to set up sockaddr for 127.0.0.1
Syntax error on line 134 of /etc/httpd/conf/httpd.conf

> If it is, it is likely a problem in
> your installation.

As shown in comment #11 the "problem" only occurs with the new glibc

> But in comment #11 you talk about httpd about which no
> information is provided.

The information was already provided in comment #3 and didn't change since.

Additionnaly fetchmail still fails the same way. Here is a new trace though
little has changed to my eyes

time(0x7fff40472918)                             = 1199305524
setlocale(2, "")                                 = "C"
localtime(0x7fff40472918)                        = 0x2aaaac18ad40
strftime("", 140734271793062, NULL, 0x38303032)  = 24
setlocale(2, "C")                                = "C"
dcgettext(0, 0x42b840, 5, 0x38303032, 0xfffffffd) = 0x42b840
fflush(0x2aaaac186760)                           = 0
__fprintf_chk(0x2aaaac186760, 1, 0x42d6e4, 0x7fff4047492c, 0x2aaaac59b8f0) = 11
__vfprintf_chk(0x2aaaac186760, 1, 0x42b840, 0x7fff40472840, 9) = 88
fflush(0x2aaaac186760fetchmail: 6.3.8 querying imap.gmail.com (protocol IMAP) at
Wed Jan  2 21:25:24 2008: poll started
)                           = 0
memset(0x7fff4046dfd0, '\000', 152)              = 0x7fff4046dfd0
sigemptyset(0x7fff4046dfd8)                      = 0
sigaction(14, 0x7fff4046dfd0, 0x7fff4046df30)    = 0
__sigsetjmp(0x643300, 1, 0x849670, 0x7fff4046df38, 0x7fff4046dfd0) = 0
setitimer(0, 0x7fff4046e060, 0, 0x846480, 0x7fff4046dfd0) = 0
strcasecmp("imap.gmail.com", "hesiod")           = 1
getaddrinfo("imap.gmail.com", NULL, 0x7fff4046e230, 0x7fff4046e2c0) = 0
free(0x841cc0)                                   = <void>
strlen("gmail-imap.l.google.com")                = 23
malloc(24)                                       = 0x841cc0
strcpy(0x841cc0, "gmail-imap.l.google.com")      = 0x841cc0
malloc(16)                                       = 0x849ef0
memcpy(0x849ef0, "\002", 16)                     = 0x849ef0
freeaddrinfo(0x849ea0)                           = <void>
getaddrinfo("imap.gmail.com", "imaps", 0x7fff4046df60, 0x6491f8) = -2
gai_strerror(-2)                                 = "Name or service not known"
dcgettext(0, 0x42b388, 5, 0, 0xfefefefefefefeff) = 0x42b388
fflush(0x2aaaac186840)                           = 0
__fprintf_chk(0x2aaaac186840, 1, 0x42d6e4, 0x7fff4047492c,
0x2aaaac59b8f0fetchmail: ) = 11
__vfprintf_chk(0x2aaaac186840, 1, 0x42b388, 0x7fff4046de40,
0x2aaaac59b8f0getaddrinfo("imap.gmail.com","imaps") error: Name or service not known
) = 71
fflush(0x2aaaac186840)                           = 0
__errno_location()                               = 0x2aaaac59b898
dcgettext(0, 0x430c46, 5, -1, 0x2aaaac59b8f0)    = 0x430c46
__vsnprintf_chk(0x849670, 2048, 1, -1, 0x430c46) = 40
fputs("IMAP connection to imap.gmail.co"..., 0x2aaaac186840IMAP connection to
imap.gmail.com failed) = 1
strerror(0)                                      = "Success"
__vsnprintf_chk(0x849670, 2048, 1, -1, 0x43169e) = 10
fputs(": Success\n", 0x2aaaac186840: Success
)             = 1
fflush(0x2aaaac186840)                           = 0
setitimer(0, 0x7fff4046e060, 0, -1, 0x2aaaac59b8f0) = 0
setitimer(0, 0x7fff4046e060, 0, 0x846480, 0x2aaaac59b8f0) = 0
memset(0x7fff4046dfd0, '\000', 152)              = 0x7fff4046dfd0
sigemptyset(0x7fff4046dfd8)                      = 0
sigaction(14, 0x7fff4046dfd0, 0x7fff4046df30)    = 0
time(0x7fff40472918)                             = 1199305524
setlocale(2, "")                                 = "C"
localtime(0x7fff40472918)                        = 0x2aaaac18ad40
strftime("", 140734271793062, NULL, 0x38303032)  = 24
setlocale(2, "C")                                = "C"
dcgettext(0, 0x42b8c0, 5, 0x38303032, 0xfffffffd) = 0x42b8c0
fflush(0x2aaaac186760)                           = 0
__fprintf_chk(0x2aaaac186760, 1, 0x42d6e4, 0x7fff4047492c, 0x2aaaac59b8f0) = 11
__vfprintf_chk(0x2aaaac186760, 1, 0x42b8c0, 0x7fff40472840, 9) = 90
fflush(0x2aaaac186760fetchmail: 6.3.8 querying imap.gmail.com (protocol IMAP) at
Wed Jan  2 21:25:24 2008: poll completed
)                           = 0
dcgettext(0, 0x42d71c, 5, 2, 0xffffffff)         = 0x42d71c
fflush(0x2aaaac186760)                           = 0
__fprintf_chk(0x2aaaac186760, 1, 0x42d6e4, 0x7fff4047492c, 0x2aaaac59b8f0) = 11
__vfprintf_chk(0x2aaaac186760, 1, 0x42d71c, 0x7fff40472870, 9) = 24
fflush(0x2aaaac186760fetchmail: Query status=2 (SOCKET)
)                           = 0

> Provide strace and ltrace output.  Start nscd with -d -d -d and show the output.
>  What happens without nscd?  etc etc

As indicated in comment #6 there is no nscd on system

Comment 16 Nicolas Mailhot 2008-01-02 15:33:59 EST
While I'm reposting stuff

# ltrace /usr/sbin/httpd 
[Wed Jan 02 21:33:04 2008] [crit] (EAI 9)Address family for hostname not
supported: alloc_listener: failed to set up sockaddr for 127.0.0.1
Syntax error on line 134 of /etc/httpd/conf/httpd.conf:
Listen setup failed
+++ exited (status 1) +++
Comment 17 Ulrich Drepper 2008-01-02 15:43:42 EST
(In reply to comment #16)
> # ltrace /usr/sbin/httpd 

That cannot work.  You have to run the program in the foreground.  No idea how
to do this with apache.
Comment 18 Nicolas Mailhot 2008-01-02 15:52:11 EST
# strace /usr/sbin/httpd
execve("/usr/sbin/httpd", ["/usr/sbin/httpd"], [/* 41 vars */]) = 0
brk(0)                                  = 0x2aaaaacff000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaad1c000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaad1d000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=63643, ...}) = 0
mmap(NULL, 63643, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2aaaaad1e000
close(3)                                = 0
open("/lib64/libm.so.6", O_RDONLY)      = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300>\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=608208, ...}) = 0
mmap(NULL, 2629848, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaaaf1d000
mprotect(0x2aaaaaf9f000, 2093056, PROT_NONE) = 0
mmap(0x2aaaab19e000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x81000) = 0x2aaaab19e000
close(3)                                = 0
open("/lib64/libpcre.so.0", O_RDONLY)   = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20&\340\312?\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=163336, ...}) = 0
mmap(NULL, 2256136, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaab1a0000
mprotect(0x2aaaab1c6000, 2097152, PROT_NONE) = 0
mmap(0x2aaaab3c6000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x26000) = 0x2aaaab3c6000
close(3)                                = 0
open("/lib64/libselinux.so.1", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260L\240\315?\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=108064, ...}) = 0
mmap(NULL, 2205240, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaab3c7000
mprotect(0x2aaaab3e0000, 2093056, PROT_NONE) = 0
mmap(0x2aaaab5df000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x18000) = 0x2aaaab5df000
mmap(0x2aaaab5e1000, 1592, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaaab5e1000
close(3)                                = 0
open("/usr/lib64/libaprutil-1.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320t\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=108224, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaab5e2000
mmap(NULL, 2203520, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaab5e3000
mprotect(0x2aaaab5fc000, 2097152, PROT_NONE) = 0
mmap(0x2aaaab7fc000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x19000) = 0x2aaaab7fc000
close(3)                                = 0
open("/lib64/libcrypt.so.1", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\n\0\0\0\0\0\0"..., 832)
= 832
fstat(3, {st_mode=S_IFREG|0755, st_size=45768, ...}) = 0
mmap(NULL, 2322880, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaab7fd000
mprotect(0x2aaaab806000, 2093056, PROT_NONE) = 0
mmap(0x2aaaaba05000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x8000) = 0x2aaaaba05000
mmap(0x2aaaaba07000, 184768, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaaaba07000
close(3)                                = 0
open("/usr/lib64/libldap-2.4.so.2", O_RDONLY) = 3
read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20\316\340\336?\0\0\0"..., 832)
= 832
fstat(3, {st_mode=S_IFREG|0755, st_size=261624, ...}) = 0
mmap(NULL, 2353936, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaaba35000
mprotect(0x2aaaaba72000, 2093056, PROT_NONE) = 0
mmap(0x2aaaabc71000, 12288, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3c000) = 0x2aaaabc71000
close(3)                                = 0
open("/usr/lib64/liblber-2.4.so.2", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\2403\240\327?\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=61224, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaabc74000
mmap(NULL, 2154152, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaabc75000
mprotect(0x2aaaabc83000, 2093056, PROT_NONE) = 0
mmap(0x2aaaabe82000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xd000) = 0x2aaaabe82000
close(3)                                = 0
open("/lib64/libdb-4.6.so", O_RDONLY)   = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340wb\340?\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1306432, ...}) = 0
mmap(NULL, 3400160, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaabe83000
mprotect(0x2aaaabfbd000, 2093056, PROT_NONE) = 0
mmap(0x2aaaac1bc000, 20480, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x139000) = 0x2aaaac1bc000
mmap(0x2aaaac1c1000, 480, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaaac1c1000
close(3)                                = 0
open("/lib64/libexpat.so.1", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p;\240\314?\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=143960, ...}) = 0
mmap(NULL, 2236888, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaac1c2000
mprotect(0x2aaaac1e3000, 2093056, PROT_NONE) = 0
mmap(0x2aaaac3e2000, 12288, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x20000) = 0x2aaaac3e2000
close(3)                                = 0
open("/usr/lib64/libapr-1.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\256\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=161176, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaac3e5000
mmap(NULL, 2256648, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaac3e6000
mprotect(0x2aaaac40d000, 2093056, PROT_NONE) = 0
mmap(0x2aaaac60c000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x26000) = 0x2aaaac60c000
close(3)                                = 0
open("/lib64/libpthread.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360W\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=140656, ...}) = 0
mmap(NULL, 2204528, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaac60d000
mprotect(0x2aaaac623000, 2093056, PROT_NONE) = 0
mmap(0x2aaaac822000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x15000) = 0x2aaaac822000
mmap(0x2aaaac824000, 13168, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaaac824000
close(3)                                = 0
open("/lib64/libdl.so.2", O_RDONLY)     = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000\16\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=20296, ...}) = 0
mmap(NULL, 2109696, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaac828000
mprotect(0x2aaaac82a000, 2097152, PROT_NONE) = 0
mmap(0x2aaaaca2a000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x2aaaaca2a000
close(3)                                = 0
open("/lib64/libc.so.6", O_RDONLY)      = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\343\1\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1747184, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaca2c000
mmap(NULL, 3527192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaaca2d000
mprotect(0x2aaaacb81000, 2097152, PROT_NONE) = 0
mmap(0x2aaaacd81000, 20480, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x154000) = 0x2aaaacd81000
mmap(0x2aaaacd86000, 16920, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaaacd86000
close(3)                                = 0
open("/lib64/libuuid.so.1", O_RDONLY)   = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \24\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=13840, ...}) = 0
mmap(NULL, 2109088, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaacd8b000
mprotect(0x2aaaacd8e000, 2093056, PROT_NONE) = 0
mmap(0x2aaaacf8d000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x2aaaacf8d000
close(3)                                = 0
open("/lib64/libresolv.so.2", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\2603\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=90016, ...}) = 0
mmap(NULL, 2181896, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaacf8e000
mprotect(0x2aaaacfa0000, 2093056, PROT_NONE) = 0
mmap(0x2aaaad19f000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x11000) = 0x2aaaad19f000
mmap(0x2aaaad1a1000, 6920, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaaad1a1000
close(3)                                = 0
open("/usr/lib64/libsasl2.so.2", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000G\240\336?\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=105664, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaad1a3000
mmap(NULL, 2198544, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaad1a4000
mprotect(0x2aaaad1bc000, 2097152, PROT_NONE) = 0
mmap(0x2aaaad3bc000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x18000) = 0x2aaaad3bc000
close(3)                                = 0
open("/lib64/libssl.so.7", O_RDONLY)    = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@1\241\325?\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=318368, ...}) = 0
mmap(NULL, 2410960, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaad3bd000
mprotect(0x2aaaad404000, 2093056, PROT_NONE) = 0
mmap(0x2aaaad603000, 28672, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x46000) = 0x2aaaad603000
close(3)                                = 0
open("/lib64/libcrypto.so.7", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\241e\322?\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1426144, ...}) = 0
mmap(NULL, 3533880, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaad60a000
mprotect(0x2aaaad746000, 2093056, PROT_NONE) = 0
mmap(0x2aaaad945000, 135168, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x13b000) = 0x2aaaad945000
mmap(0x2aaaad966000, 11320, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaaad966000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaad969000
open("/usr/lib64/libgssapi_krb5.so.2", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\222\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=188608, ...}) = 0
mmap(NULL, 2283888, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaad96a000
mprotect(0x2aaaad996000, 2097152, PROT_NONE) = 0
mmap(0x2aaaadb96000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2c000) = 0x2aaaadb96000
close(3)                                = 0
open("/usr/lib64/libkrb5.so.3", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240\254\1\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=644736, ...}) = 0
mmap(NULL, 2740000, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaadb98000
mprotect(0x2aaaadc31000, 2097152, PROT_NONE) = 0
mmap(0x2aaaade31000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x99000) = 0x2aaaade31000
close(3)                                = 0
open("/lib64/libcom_err.so.2", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \16\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=9440, ...}) = 0
mmap(NULL, 2104696, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaade35000
mprotect(0x2aaaade37000, 2093056, PROT_NONE) = 0
mmap(0x2aaaae036000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1000) = 0x2aaaae036000
close(3)                                = 0
open("/usr/lib64/libk5crypto.so.3", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0PW\0\0\0\0\0\0"..., 832)
= 832
fstat(3, {st_mode=S_IFREG|0755, st_size=151104, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaae037000
mmap(NULL, 2247368, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaae038000
mprotect(0x2aaaae05c000, 2093056, PROT_NONE) = 0
mmap(0x2aaaae25b000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x23000) = 0x2aaaae25b000
close(3)                                = 0
open("/lib64/libz.so.1", O_RDONLY)      = 3
read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360\36\240\311?\0\0\0"..., 832)
= 832
fstat(3, {st_mode=S_IFREG|0755, st_size=85904, ...}) = 0
mmap(NULL, 2178704, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaae25d000
mprotect(0x2aaaae271000, 2093056, PROT_NONE) = 0
mmap(0x2aaaae470000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x13000) = 0x2aaaae470000
close(3)                                = 0
open("/usr/lib64/libkrb5support.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@#\0\0\0\0\0\0"..., 832)
= 832
fstat(3, {st_mode=S_IFREG|0755, st_size=33536, ...}) = 0
mmap(NULL, 2128816, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaae471000
mprotect(0x2aaaae479000, 2093056, PROT_NONE) = 0
mmap(0x2aaaae678000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7000) = 0x2aaaae678000
close(3)                                = 0
open("/lib64/libkeyutils.so.1", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\v \324?\0\0\0"..., 832)
= 832
fstat(3, {st_mode=S_IFREG|0755, st_size=9728, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaae679000
mmap(NULL, 2102672, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x2aaaae67a000
mprotect(0x2aaaae67c000, 2093056, PROT_NONE) = 0
mmap(0x2aaaae87b000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1000) = 0x2aaaae87b000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaae87c000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaae87d000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaae87e000
arch_prctl(ARCH_SET_FS, 0x2aaaae87d9a0) = 0
mprotect(0x2aaaad19f000, 4096, PROT_READ) = 0
mprotect(0x2aaaacd81000, 16384, PROT_READ) = 0
mprotect(0x2aaaaca2a000, 4096, PROT_READ) = 0
mprotect(0x2aaaac822000, 4096, PROT_READ) = 0
mprotect(0x2aaaaba05000, 4096, PROT_READ) = 0
mprotect(0x2aaaab19e000, 4096, PROT_READ) = 0
mprotect(0x2aaaaaf1b000, 4096, PROT_READ) = 0
munmap(0x2aaaaad1e000, 63643)           = 0
set_tid_address(0x2aaaae87da30)         = 4990
set_robust_list(0x2aaaae87da40, 0x18)   = 0
futex(0x7fffa131d82c, FUTEX_WAKE_PRIVATE, 1) = 0
rt_sigaction(SIGRTMIN, {0x2aaaac612320, [], SA_RESTORER|SA_SIGINFO,
0x2aaaac61b8c0}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0x2aaaac6123a0, [], SA_RESTORER|SA_RESTART|SA_SIGINFO,
0x2aaaac61b8c0}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=10240*1024, rlim_max=RLIM_INFINITY}) = 0
brk(0)                                  = 0x2aaaaacff000
brk(0x2aaaaad20000)                     = 0x2aaaaacff000
mmap(NULL, 1048576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaad1e000
open("/etc/selinux/config", O_RDONLY)   = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=511, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaae1e000
read(3, "# This file controls the state o"..., 4096) = 511
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x2aaaaae1e000, 4096)            = 0
statfs("/selinux", {f_type="EXT2_SUPER_MAGIC", f_bsize=4096, f_blocks=5078687,
f_bfree=627371, f_bavail=417656, f_files=5242880, f_ffree=4899759,
f_fsid={-1824712272, -1237049325}, f_namelen=255, f_frsize=4096}) = 0
open("/proc/mounts", O_RDONLY)          = 3
fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaae1e000
read(3, "rootfs / rootfs rw 0 0\n/dev/root"..., 1024) = 549
read(3, "", 1024)                       = 0
close(3)                                = 0
munmap(0x2aaaaae1e000, 4096)            = 0
socket(PF_NETLINK, SOCK_RAW, 0)         = 3
bind(3, {sa_family=AF_NETLINK, pid=0, groups=00000000}, 12) = 0
getsockname(3, {sa_family=AF_NETLINK, pid=4990, groups=00000000}, [4294967308]) = 0
sendto(3, "\24\0\0\0\26\0\1\3\212\365{G\0\0\0\0\0\0\0\0", 20, 0,
{sa_family=AF_NETLINK, pid=0, groups=00000000}, 12) = 20
recvmsg(3, {msg_name(12)={sa_family=AF_NETLINK, pid=0, groups=00000000},
msg_iov(1)=[{"0\0\0\0\24\0\2\0\212\365{G~\23\0\0\2\10\200\376\1\0\0\0\10\0\1\0\177\0\0\1"...,
4096}], msg_controllen=0, msg_flags=0}, 0) = 168
recvmsg(3, {msg_name(12)={sa_family=AF_NETLINK, pid=0, groups=00000000},
msg_iov(1)=[{"\24\0\0\0\3\0\2\0\212\365{G~\23\0\0\0\0\0\0\1\0\0\0\10\0\1\0\177\0\0\1"...,
4096}], msg_controllen=0, msg_flags=0}, 0) = 20
close(3)                                = 0
stat("/etc/httpd/conf/httpd.conf", {st_mode=S_IFREG|0644, st_size=33687, ...}) = 0
open("/etc/httpd/conf/httpd.conf", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=33687, ...}) = 0
read(3, "#\n# This is the main Apache serv"..., 4096) = 4096
stat("/etc/httpd", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
read(3, " of worker threads which are kep"..., 4096) = 4096
futex(0x2aaaaca2b0ec, FUTEX_WAKE_PRIVATE, 2147483647) = 0
open("/etc/httpd/modules/mod_auth_basic.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300\v\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10448, ...}) = 0
mmap(NULL, 2105624, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaaae87f000
mprotect(0x2aaaae881000, 2093056, PROT_NONE) = 0
mmap(0x2aaaaea80000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaaaea80000
close(4)                                = 0
open("/etc/httpd/modules/mod_auth_digest.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\31\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=27160, ...}) = 0
mmap(NULL, 2122472, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaaaea82000
mprotect(0x2aaaaea88000, 2093056, PROT_NONE) = 0
mmap(0x2aaaaec87000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x5000) = 0x2aaaaec87000
close(4)                                = 0
open("/etc/httpd/modules/mod_authn_file.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240\t\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10416, ...}) = 0
mmap(NULL, 2105592, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaaaec89000
mprotect(0x2aaaaec8b000, 2093056, PROT_NONE) = 0
mmap(0x2aaaaee8a000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaaaee8a000
close(4)                                = 0
open("/etc/httpd/modules/mod_authn_alias.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300\n\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10456, ...}) = 0
mmap(NULL, 2105624, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaaaee8c000
mprotect(0x2aaaaee8e000, 2093056, PROT_NONE) = 0
mmap(0x2aaaaf08d000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaaaf08d000
close(4)                                = 0
open("/etc/httpd/modules/mod_authn_anon.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20\t\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10352, ...}) = 0
mmap(NULL, 2105528, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaaaf08f000
mprotect(0x2aaaaf090000, 2097152, PROT_NONE) = 0
mmap(0x2aaaaf290000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaaaf290000
close(4)                                = 0
open("/etc/httpd/modules/mod_authn_dbm.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\t\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10416, ...}) = 0
mmap(NULL, 2105592, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaaaf292000
mprotect(0x2aaaaf294000, 2093056, PROT_NONE) = 0
mmap(0x2aaaaf493000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaaaf493000
close(4)                                = 0
open("/etc/httpd/modules/mod_authn_default.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360\7\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=6264, ...}) = 0
mmap(NULL, 2101432, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaaaf495000
mprotect(0x2aaaaf496000, 2093056, PROT_NONE) = 0
mmap(0x2aaaaf695000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0x2aaaaf695000
close(4)                                = 0
open("/etc/httpd/modules/mod_authz_host.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@\f\0\0\0\0\0\0"..., 832)
= 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10448, ...}) = 0
mmap(NULL, 2105624, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaaaf697000
mprotect(0x2aaaaf699000, 2093056, PROT_NONE) = 0
mmap(0x2aaaaf898000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaaaf898000
close(4)                                = 0
open("/etc/httpd/modules/mod_authz_user.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\10\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10384, ...}) = 0
mmap(NULL, 2105560, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaaaf89a000
mprotect(0x2aaaaf89b000, 2097152, PROT_NONE) = 0
mmap(0x2aaaafa9b000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaaafa9b000
close(4)                                = 0
open("/etc/httpd/modules/mod_authz_owner.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300\t\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10424, ...}) = 0
mmap(NULL, 2105592, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaaafa9d000
mprotect(0x2aaaafa9f000, 2093056, PROT_NONE) = 0
mmap(0x2aaaafc9e000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaaafc9e000
close(4)                                = 0
open("/etc/httpd/modules/mod_authz_groupfile.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\16\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10520, ...}) = 0
mmap(NULL, 2105688, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaaafca0000
mprotect(0x2aaaafca2000, 2093056, PROT_NONE) = 0
mmap(0x2aaaafea1000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaaafea1000
close(4)                                = 0
open("/etc/httpd/modules/mod_authz_dbm.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220\f\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10448, ...}) = 0
mmap(NULL, 2105624, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaaafea3000
mprotect(0x2aaaafea5000, 2093056, PROT_NONE) = 0
mmap(0x2aaab00a4000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaab00a4000
close(4)                                = 0
open("/etc/httpd/modules/mod_authz_default.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\7\0\0\0\0\0\0"..., 832)
= 832
fstat(4, {st_mode=S_IFREG|0755, st_size=6264, ...}) = 0
mmap(NULL, 2101432, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab00a6000
mprotect(0x2aaab00a7000, 2093056, PROT_NONE) = 0
mmap(0x2aaab02a6000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0x2aaab02a6000
close(4)                                = 0
open("/etc/httpd/modules/mod_ldap.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200-\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=47920, ...}) = 0
mmap(NULL, 2143096, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab02a8000
mprotect(0x2aaab02b3000, 2093056, PROT_NONE) = 0
mmap(0x2aaab04b2000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xa000) = 0x2aaab04b2000
close(4)                                = 0
open("/etc/httpd/modules/mod_authnz_ldap.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@\30\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=27064, ...}) = 0
mmap(NULL, 2122304, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab04b4000
mprotect(0x2aaab04ba000, 2093056, PROT_NONE) = 0
mmap(0x2aaab06b9000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x5000) = 0x2aaab06b9000
close(4)                                = 0
open("/etc/httpd/modules/mod_include.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\34\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=43600, ...}) = 0
mmap(NULL, 2138800, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab06bb000
mprotect(0x2aaab06c4000, 2097152, PROT_NONE) = 0
mmap(0x2aaab08c4000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x9000) = 0x2aaab08c4000
close(4)                                = 0
open("/etc/httpd/modules/mod_log_config.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\33\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=23104, ...}) = 0
mmap(NULL, 2118496, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab08c6000
mprotect(0x2aaab08cb000, 2093056, PROT_NONE) = 0
mmap(0x2aaab0aca000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x4000) = 0x2aaab0aca000
close(4)                                = 0
open("/etc/httpd/modules/mod_logio.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\n\0\0\0\0\0\0"..., 832)
= 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10440, ...}) = 0
mmap(NULL, 2105624, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab0acc000
mprotect(0x2aaab0ace000, 2093056, PROT_NONE) = 0
mmap(0x2aaab0ccd000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaab0ccd000
close(4)                                = 0
open("/etc/httpd/modules/mod_env.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\t\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10416, ...}) = 0
mmap(NULL, 2105592, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab0ccf000
mprotect(0x2aaab0cd1000, 2093056, PROT_NONE) = 0
mmap(0x2aaab0ed0000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaab0ed0000
close(4)                                = 0
open("/etc/httpd/modules/mod_ext_filter.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360\33\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=19024, ...}) = 0
mmap(NULL, 2114208, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab0ed2000
mprotect(0x2aaab0ed6000, 2093056, PROT_NONE) = 0
mmap(0x2aaab10d5000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3000) = 0x2aaab10d5000
close(4)                                = 0
open("/etc/httpd/modules/mod_mime_magic.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240\30\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=23608, ...}) = 0
mmap(NULL, 2118784, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab10d7000
mprotect(0x2aaab10dc000, 2093056, PROT_NONE) = 0
mmap(0x2aaab12db000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x4000) = 0x2aaab12db000
close(4)                                = 0
open("/etc/httpd/modules/mod_expires.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\16\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10512, ...}) = 0
mmap(NULL, 2105688, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab12dd000
mprotect(0x2aaab12df000, 2093056, PROT_NONE) = 0
mmap(0x2aaab14de000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaab14de000
close(4)                                = 0
open("/etc/httpd/modules/mod_deflate.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\26\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=22960, ...}) = 0
mmap(NULL, 2118136, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab14e0000
mprotect(0x2aaab14e5000, 2093056, PROT_NONE) = 0
mmap(0x2aaab16e4000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x4000) = 0x2aaab16e4000
close(4)                                = 0
open("/etc/httpd/modules/mod_headers.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260\23\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=18864, ...}) = 0
mmap(NULL, 2114056, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab16e6000
mprotect(0x2aaab16e9000, 2097152, PROT_NONE) = 0
mmap(0x2aaab18e9000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3000) = 0x2aaab18e9000
close(4)                                = 0
open("/etc/httpd/modules/mod_usertrack.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\16\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=14608, ...}) = 0
mmap(NULL, 2109784, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab18eb000
mprotect(0x2aaab18ed000, 2097152, PROT_NONE) = 0
mmap(0x2aaab1aed000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2000) = 0x2aaab1aed000
close(4)                                = 0
open("/etc/httpd/modules/mod_setenvif.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20\16\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=14576, ...}) = 0
mmap(NULL, 2109752, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab1aef000
mprotect(0x2aaab1af1000, 2097152, PROT_NONE) = 0
mmap(0x2aaab1cf1000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2000) = 0x2aaab1cf1000
close(4)                                = 0
open("/etc/httpd/modules/mod_mime.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\25\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=18800, ...}) = 0
mmap(NULL, 2113984, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab1cf3000
mprotect(0x2aaab1cf7000, 2093056, PROT_NONE) = 0
mmap(0x2aaab1ef6000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3000) = 0x2aaab1ef6000
close(4)                                = 0
open("/etc/httpd/modules/mod_dav.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p<\0\0\0\0\0\0"..., 832)
= 832
fstat(4, {st_mode=S_IFREG|0755, st_size=89232, ...}) = 0
mmap(NULL, 2184472, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab1ef8000
mprotect(0x2aaab1f0d000, 2093056, PROT_NONE) = 0
mmap(0x2aaab210c000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x14000) = 0x2aaab210c000
close(4)                                = 0
open("/etc/httpd/modules/mod_status.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\20\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=18736, ...}) = 0
mmap(NULL, 2113936, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab210e000
mprotect(0x2aaab2112000, 2093056, PROT_NONE) = 0
mmap(0x2aaab2311000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3000) = 0x2aaab2311000
close(4)                                = 0
open("/etc/httpd/modules/mod_autoindex.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360!\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=35472, ...}) = 0
mmap(NULL, 2130648, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab2313000
mprotect(0x2aaab231b000, 2093056, PROT_NONE) = 0
mmap(0x2aaab251a000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x7000) = 0x2aaab251a000
close(4)                                = 0
open("/etc/httpd/modules/mod_info.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\26\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=19032, ...}) = 0
mmap(NULL, 2114208, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab251c000
mprotect(0x2aaab2520000, 2093056, PROT_NONE) = 0
mmap(0x2aaab271f000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3000) = 0x2aaab271f000
close(4)                                = 0
open("/etc/httpd/modules/mod_dav_fs.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P+\0\0\0\0\0\0"..., 832)
= 832
fstat(4, {st_mode=S_IFREG|0755, st_size=47920, ...}) = 0
mmap(NULL, 2143096, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab2721000
mprotect(0x2aaab272c000, 2093056, PROT_NONE) = 0
mmap(0x2aaab292b000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xa000) = 0x2aaab292b000
close(4)                                = 0
open("/etc/httpd/modules/mod_vhost_alias.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\f\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10424, ...}) = 0
mmap(NULL, 2105608, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab292d000
mprotect(0x2aaab292f000, 2093056, PROT_NONE) = 0
mmap(0x2aaab2b2e000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaab2b2e000
close(4)                                = 0
open("/etc/httpd/modules/mod_negotiation.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360\34\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=31352, ...}) = 0
mmap(NULL, 2126520, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab2b30000
mprotect(0x2aaab2b37000, 2093056, PROT_NONE) = 0
mmap(0x2aaab2d36000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x6000) = 0x2aaab2d36000
close(4)                                = 0
open("/etc/httpd/modules/mod_dir.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\n\0\0\0\0\0\0"..., 832)
= 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10416, ...}) = 0
mmap(NULL, 2105592, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab2d38000
mprotect(0x2aaab2d3a000, 2093056, PROT_NONE) = 0
mmap(0x2aaab2f39000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaab2f39000
close(4)                                = 0
open("/etc/httpd/modules/mod_actions.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240\n\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10416, ...}) = 0
mmap(NULL, 2105592, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab2f3b000
mprotect(0x2aaab2f3d000, 2093056, PROT_NONE) = 0
mmap(0x2aaab313c000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaab313c000
close(4)                                = 0
open("/etc/httpd/modules/mod_speling.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\17\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=14640, ...}) = 0
mmap(NULL, 2109816, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab313e000
mprotect(0x2aaab3140000, 2097152, PROT_NONE) = 0
mmap(0x2aaab3340000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2000) = 0x2aaab3340000
close(4)                                = 0
open("/etc/httpd/modules/mod_userdir.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300\n\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10448, ...}) = 0
mmap(NULL, 2105624, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab3342000
mprotect(0x2aaab3344000, 2093056, PROT_NONE) = 0
mmap(0x2aaab3543000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaab3543000
close(4)                                = 0
open("/etc/httpd/modules/mod_alias.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260\17\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=14608, ...}) = 0
mmap(NULL, 2109784, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab3545000
mprotect(0x2aaab3548000, 2093056, PROT_NONE) = 0
mmap(0x2aaab3747000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2000) = 0x2aaab3747000
close(4)                                = 0
open("/etc/httpd/modules/mod_rewrite.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\2201\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=60464, ...}) = 0
mmap(NULL, 2155712, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab3749000
mprotect(0x2aaab3757000, 2093056, PROT_NONE) = 0
mmap(0x2aaab3956000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xd000) = 0x2aaab3956000
close(4)                                = 0
open("/etc/httpd/modules/mod_proxy.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200G\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=72944, ...}) = 0
mmap(NULL, 2168240, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab3958000
mprotect(0x2aaab3969000, 2093056, PROT_NONE) = 0
mmap(0x2aaab3b68000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x10000) = 0x2aaab3b68000
close(4)                                = 0
open("/etc/httpd/modules/mod_proxy_balancer.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\25\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=23000, ...}) = 0
mmap(NULL, 2118168, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab3b6a000
mprotect(0x2aaab3b6f000, 2093056, PROT_NONE) = 0
mmap(0x2aaab3d6e000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x4000) = 0x2aaab3d6e000
close(4)                                = 0
open("/etc/httpd/modules/mod_proxy_ftp.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240 \0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=31472, ...}) = 0
mmap(NULL, 2126648, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab3d70000
mprotect(0x2aaab3d77000, 2093056, PROT_NONE) = 0
mmap(0x2aaab3f76000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x6000) = 0x2aaab3f76000
close(4)                                = 0
open("/etc/httpd/modules/mod_proxy_http.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\37\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=31376, ...}) = 0
mmap(NULL, 2126552, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab3f78000
mprotect(0x2aaab3f7e000, 2097152, PROT_NONE) = 0
mmap(0x2aaab417e000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x6000) = 0x2aaab417e000
close(4)                                = 0
open("/etc/httpd/modules/mod_proxy_connect.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240\v\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10456, ...}) = 0
mmap(NULL, 2105624, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab4180000
mprotect(0x2aaab4182000, 2093056, PROT_NONE) = 0
mmap(0x2aaab4381000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaab4381000
close(4)                                = 0
open("/etc/httpd/modules/mod_cache.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300\"\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=31376, ...}) = 0
mmap(NULL, 2126600, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab4383000
mprotect(0x2aaab438a000, 2093056, PROT_NONE) = 0
mmap(0x2aaab4589000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x6000) = 0x2aaab4589000
close(4)                                = 0
open("/etc/httpd/modules/mod_suexec.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220\t\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10384, ...}) = 0
mmap(NULL, 2105560, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab458b000
mprotect(0x2aaab458c000, 2097152, PROT_NONE) = 0
mmap(0x2aaab478c000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaab478c000
close(4)                                = 0
open("/etc/httpd/modules/mod_disk_cache.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260\26\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=22960, ...}) = 0
mmap(NULL, 2118136, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab478e000
mprotect(0x2aaab4792000, 2097152, PROT_NONE) = 0
mmap(0x2aaab4992000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x4000) = 0x2aaab4992000
close(4)                                = 0
open("/etc/httpd/modules/mod_file_cache.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\20\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=10720, ...}) = 0
mmap(NULL, 2105896, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab4994000
mprotect(0x2aaab4996000, 2093056, PROT_NONE) = 0
mmap(0x2aaab4b95000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x2aaab4b95000
close(4)                                = 0
open("/etc/httpd/modules/mod_mem_cache.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300\37\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=27216, ...}) = 0
mmap(NULL, 2122400, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab4b97000
mprotect(0x2aaab4b9d000, 2093056, PROT_NONE) = 0
mmap(0x2aaab4d9c000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x5000) = 0x2aaab4d9c000
close(4)                                = 0
open("/etc/httpd/modules/mod_cgi.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340!\0\0\0\0\0\0"...,
832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=27312, ...}) = 0
mmap(NULL, 2122520, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x2aaab4d9e000
mprotect(0x2aaab4da3000, 2097152, PROT_NONE) = 0
mmap(0x2aaab4fa3000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x5000) = 0x2aaab4fa3000
close(4)                                = 0
stat("/etc/httpd/conf.d", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
open("/etc/httpd/conf.d", O_RDONLY|O_NONBLOCK|O_DIRECTORY|0x80000) = 4
fstat(4, {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
fcntl(4, F_GETFD)                       = 0x1 (flags FD_CLOEXEC)
getdents(4, /* 16 entries */, 4096)     = 544
getdents(4, /* 0 entries */, 4096)      = 0
close(4)                                = 0
stat("/etc/httpd/conf.d/dav.conf", {st_mode=S_IFREG|0644, st_size=970, ...}) = 0
open("/etc/httpd/conf.d/dav.conf", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=970, ...}) = 0
read(4, "# Enable user-specific dav direc"..., 4096) = 970
read(4, "", 4096)                       = 0
close(4)                                = 0
stat("/etc/httpd/conf.d/ipp.conf", {st_mode=S_IFREG|0644, st_size=469, ...}) = 0
open("/etc/httpd/conf.d/ipp.conf", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=469, ...}) = 0
read(4, "# Authed proxy to local CUPS\n\n#L"..., 4096) = 469
read(4, "", 4096)                       = 0
close(4)                                = 0
stat("/etc/httpd/conf.d/local-rpm.conf", {st_mode=S_IFREG|0644, st_size=399,
...}) = 0
open("/etc/httpd/conf.d/local-rpm.conf", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=399, ...}) = 0
read(4, "RedirectMatch permanent ^/yum/?("..., 4096) = 399
read(4, "", 4096)                       = 0
close(4)                                = 0
stat("/etc/httpd/conf.d/php.conf", {st_mode=S_IFREG|0644, st_size=560, ...}) = 0
open("/etc/httpd/conf.d/php.conf", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=560, ...}) = 0
read(4, "#\n# PHP is an HTML-embedded scri"..., 4096) = 560
open("/etc/httpd/modules/libphp5.so", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20\225\n\0\0\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=3753088, ...}) = 0
mmap(NULL, 5877640, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab4fa5000
mprotect(0x2aaab52ed000, 2097152, PROT_NONE) = 0
mmap(0x2aaab54ed000, 311296, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x348000) = 0x2aaab54ed000
mmap(0x2aaab5539000, 28552, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaab5539000
close(5)                                = 0
open("/etc/ld.so.cache", O_RDONLY)      = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=63643, ...}) = 0
mmap(NULL, 63643, PROT_READ, MAP_PRIVATE, 5, 0) = 0x2aaab5540000
close(5)                                = 0
open("/usr/lib64/libaspell.so.15", O_RDONLY) = 5
read(5,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\277\"\313?\0\0\0"..., 832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=823288, ...}) = 0
mmap(NULL, 2948408, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab5550000
mprotect(0x2aaab5612000, 2093056, PROT_NONE) = 0
mmap(0x2aaab5811000, 28672, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0xc1000) = 0x2aaab5811000
mmap(0x2aaab5818000, 32056, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaab5818000
close(5)                                = 0
open("/usr/lib64/libpspell.so.15", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220\4`\313?\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=6312, ...}) = 0
mmap(NULL, 2099264, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab5820000
mprotect(0x2aaab5821000, 2093056, PROT_NONE) = 0
mmap(0x2aaab5a20000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0) = 0x2aaab5a20000
close(5)                                = 0
open("/usr/lib64/libgmp.so.3", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200{\340\311?\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=262120, ...}) = 0
mmap(NULL, 2354976, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab5a21000
mprotect(0x2aaab5a60000, 2093056, PROT_NONE) = 0
mmap(0x2aaab5c5f000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x3e000) = 0x2aaab5c5f000
close(5)                                = 0
open("/usr/lib64/libcurl.so.4", O_RDONLY) = 5
read(5,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\267\240\312?\0\0\0"..., 832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=267512, ...}) = 0
mmap(NULL, 2360136, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab5c60000
mprotect(0x2aaab5c9e000, 2097152, PROT_NONE) = 0
mmap(0x2aaab5e9e000, 12288, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x3e000) = 0x2aaab5e9e000
close(5)                                = 0
open("/lib64/libbz2.so.1", O_RDONLY)    = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20\26 \336?\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=67312, ...}) = 0
mmap(NULL, 2160304, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab5ea1000
mprotect(0x2aaab5eb0000, 2093056, PROT_NONE) = 0
mmap(0x2aaab60af000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0xe000) = 0x2aaab60af000
close(5)                                = 0
open("/lib64/libnsl.so.1", O_RDONLY)    = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260@\0\0\0\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=111472, ...}) = 0
mmap(NULL, 2194096, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab60b1000
mprotect(0x2aaab60c6000, 2093056, PROT_NONE) = 0
mmap(0x2aaab62c5000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x14000) = 0x2aaab62c5000
mmap(0x2aaab62c7000, 6832, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaab62c7000
close(5)                                = 0
open("/usr/lib64/libxml2.so.2", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\267b\325?\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=1302456, ...}) = 0
mmap(NULL, 3400472, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab62c9000
mprotect(0x2aaab63fe000, 2093056, PROT_NONE) = 0
mmap(0x2aaab65fd000, 36864, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x134000) = 0x2aaab65fd000
mmap(0x2aaab6606000, 4888, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaab6606000
close(5)                                = 0
open("/usr/lib64/libstdc++.so.6", O_RDONLY) = 5
read(5,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\363\344\325?\0\0\0"..., 832)
= 832
fstat(5, {st_mode=S_IFREG|0755, st_size=976512, ...}) = 0
mmap(NULL, 3145536, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab6608000
mprotect(0x2aaab66ed000, 2097152, PROT_NONE) = 0
mmap(0x2aaab68ed000, 36864, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0xe5000) = 0x2aaab68ed000
mmap(0x2aaab68f6000, 73536, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaab68f6000
close(5)                                = 0
open("/lib64/libgcc_s.so.1", O_RDONLY)  = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260\36 \322?\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=58600, ...}) = 0
mmap(NULL, 2151784, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab6908000
mprotect(0x2aaab6915000, 2097152, PROT_NONE) = 0
mmap(0x2aaab6b15000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0xd000) = 0x2aaab6b15000
close(5)                                = 0
open("/usr/lib64/libidn.so.11", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360.`\312?\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=208848, ...}) = 0
mmap(NULL, 2301640, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab6b16000
mprotect(0x2aaab6b47000, 2097152, PROT_NONE) = 0
mmap(0x2aaab6d47000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x31000) = 0x2aaab6d47000
close(5)                                = 0
open("/usr/lib64/libssl3.so", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340t\340\337?\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=185440, ...}) = 0
mmap(NULL, 2279384, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab6d48000
mprotect(0x2aaab6d73000, 2093056, PROT_NONE) = 0
mmap(0x2aaab6f72000, 12288, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x2a000) = 0x2aaab6f72000
close(5)                                = 0
open("/usr/lib64/libsmime3.so", O_RDONLY) = 5
read(5,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220\226\240\337?\0\0\0"..., 832)
= 832
fstat(5, {st_mode=S_IFREG|0755, st_size=175208, ...}) = 0
mmap(NULL, 2267824, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab6f75000
mprotect(0x2aaab6f9b000, 2097152, PROT_NONE) = 0
mmap(0x2aaab719b000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x26000) = 0x2aaab719b000
close(5)                                = 0
open("/usr/lib64/libnss3.so", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \351a\336?\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=1361600, ...}) = 0
mmap(NULL, 3459176, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab719f000
mprotect(0x2aaab72de000, 2097152, PROT_NONE) = 0
mmap(0x2aaab74de000, 53248, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x13f000) = 0x2aaab74de000
mmap(0x2aaab74eb000, 2152, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaab74eb000
close(5)                                = 0
open("/usr/lib64/libplds4.so", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\16\340\330?\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=14000, ...}) = 0
mmap(NULL, 2106728, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab74ec000
mprotect(0x2aaab74ef000, 2093056, PROT_NONE) = 0
mmap(0x2aaab76ee000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x2000) = 0x2aaab76ee000
close(5)                                = 0
open("/usr/lib64/libplc4.so", O_RDONLY) = 5
read(5,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220\23\240\331?\0\0\0"..., 832)
= 832
fstat(5, {st_mode=S_IFREG|0755, st_size=18064, ...}) = 0
mmap(NULL, 2110776, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab76ef000
mprotect(0x2aaab76f3000, 2093056, PROT_NONE) = 0
mmap(0x2aaab78f2000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x3000) = 0x2aaab78f2000
close(5)                                = 0
open("/usr/lib64/libnspr4.so", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000\317 \331?\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=229248, ...}) = 0
mmap(NULL, 2332576, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab78f3000
mprotect(0x2aaab7928000, 2097152, PROT_NONE) = 0
mmap(0x2aaab7b28000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x35000) = 0x2aaab7b28000
mmap(0x2aaab7b2a000, 10144, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaab7b2a000
close(5)                                = 0
mprotect(0x2aaab68ed000, 28672, PROT_READ) = 0
mprotect(0x2aaab62c5000, 4096, PROT_READ) = 0
futex(0x2aaab68f7ca8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
munmap(0x2aaab5540000, 63643)           = 0
read(4, "", 4096)                       = 0
close(4)                                = 0
stat("/etc/httpd/conf.d/proxy.conf", {st_mode=S_IFREG|0644, st_size=1777, ...}) = 0
open("/etc/httpd/conf.d/proxy.conf", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=1777, ...}) = 0
read(4, "# Local transparent proxy for th"..., 4096) = 1777
read(4, "", 4096)                       = 0
close(4)                                = 0
stat("/etc/httpd/conf.d/proxy_ajp.conf", {st_mode=S_IFREG|0644, st_size=566,
...}) = 0
open("/etc/httpd/conf.d/proxy_ajp.conf", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=566, ...}) = 0
read(4, "\nLoadModule proxy_ajp_module mod"..., 4096) = 566
open("/etc/httpd/modules/mod_proxy_ajp.so", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`!\0\0\0\0\0\0"..., 832)
= 832
fstat(5, {st_mode=S_IFREG|0755, st_size=35472, ...}) = 0
mmap(NULL, 2130648, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab7b2d000
mprotect(0x2aaab7b35000, 2093056, PROT_NONE) = 0
mmap(0x2aaab7d34000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x7000) = 0x2aaab7d34000
close(5)                                = 0
read(4, "", 4096)                       = 0
close(4)                                = 0
stat("/etc/httpd/conf.d/rousalka.conf", {st_mode=S_IFREG|0644, st_size=648,
...}) = 0
open("/etc/httpd/conf.d/rousalka.conf", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=648, ...}) = 0
read(4, "ServerTokens Prod\nServerSignatur"..., 4096) = 648
read(4, "", 4096)                       = 0
close(4)                                = 0
stat("/etc/httpd/conf.d/squirrelmail.conf", {st_mode=S_IFREG|0644, st_size=217,
...}) = 0
open("/etc/httpd/conf.d/squirrelmail.conf", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=217, ...}) = 0
read(4, "AliasMatch ^/src/(.*) /usr/share"..., 4096) = 217
read(4, "", 4096)                       = 0
close(4)                                = 0
stat("/etc/httpd/conf.d/ssl.conf", {st_mode=S_IFREG|0644, st_size=9968, ...}) = 0
open("/etc/httpd/conf.d/ssl.conf", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=9968, ...}) = 0
read(4, "#\n# This is the Apache server co"..., 4096) = 4096
open("/etc/httpd/modules/mod_ssl.so", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\235\0\0\0\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=169464, ...}) = 0
mmap(NULL, 2273160, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab7d36000
mprotect(0x2aaab7d5d000, 2097152, PROT_NONE) = 0
mmap(0x2aaab7f5d000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x27000) = 0x2aaab7f5d000
mmap(0x2aaab7f5f000, 8072, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2aaab7f5f000
close(5)                                = 0
open("/etc/ld.so.cache", O_RDONLY)      = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=63643, ...}) = 0
mmap(NULL, 63643, PROT_READ, MAP_PRIVATE, 5, 0) = 0x2aaab7f61000
close(5)                                = 0
open("/usr/lib64/libdistcache.so.1", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@\25`\311?\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=18664, ...}) = 0
mmap(NULL, 2111360, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab7f71000
mprotect(0x2aaab7f75000, 2093056, PROT_NONE) = 0
mmap(0x2aaab8174000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x3000) = 0x2aaab8174000
close(5)                                = 0
open("/usr/lib64/libnal.so.1", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`4\340\310?\0\0\0"...,
832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=39240, ...}) = 0
mmap(NULL, 2131968, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) =
0x2aaab8175000
mprotect(0x2aaab817d000, 2097152, PROT_NONE) = 0
mmap(0x2aaab837d000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x8000) = 0x2aaab837d000
close(5)                                = 0
munmap(0x2aaab7f61000, 63643)           = 0
read(4, "\n# certificate can be generated "..., 4096) = 4096
read(4, "wait for\n#   the close notify al"..., 4096) = 1776
read(4, "", 4096)                       = 0
close(4)                                = 0
stat("/etc/httpd/conf.d/welcome.conf", {st_mode=S_IFREG|0644, st_size=304, ...}) = 0
open("/etc/httpd/conf.d/welcome.conf", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=304, ...}) = 0
read(4, "# \n# This configuration file ena"..., 4096) = 304
read(4, "", 4096)                       = 0
close(4)                                = 0
read(3, " On) or just basic information ("..., 4096) = 4096
read(3, "ceived.\n#\n# The path to the end "..., 4096) = 4096
read(3, "y an ErrorLog directive within a"..., 4096) = 4096
read(3, "FancyIndexing VersionSort NameWi"..., 4096) = 4096
read(3, "ddLanguage ltz .ltz\nAddLanguage "..., 4096) = 4096
read(3, "erride None\n        Options Incl"..., 4096) = 4096
read(3, "ow.\n#\n# Please see the documenta"..., 4096) = 919
read(3, "", 4096)                       = 0
close(3)                                = 0
stat("/usr/sbin/suexec", {st_mode=S_IFREG|S_ISUID|0510, st_size=14352, ...}) = 0
socket(PF_NETLINK, SOCK_RAW, 0)         = 3
bind(3, {sa_family=AF_NETLINK, pid=0, groups=00000000}, 12) = 0
getsockname(3, {sa_family=AF_NETLINK, pid=4990, groups=00000000}, [12]) = 0
sendto(3, "\24\0\0\0\26\0\1\3\212\365{G\0\0\0\0\0\0\0\0", 20, 0,
{sa_family=AF_NETLINK, pid=0, groups=00000000}, 12) = 20
recvmsg(3, {msg_name(12)={sa_family=AF_NETLINK, pid=0, groups=00000000},
msg_iov(1)=[{"0\0\0\0\24\0\2\0\212\365{G~\23\0\0\2\10\200\376\1\0\0\0\10\0\1\0\177\0\0\1"...,
4096}], msg_controllen=0, msg_flags=0}, 0) = 168
recvmsg(3, {msg_name(12)={sa_family=AF_NETLINK, pid=0, groups=00000000},
msg_iov(1)=[{"\24\0\0\0\3\0\2\0\212\365{G~\23\0\0\0\0\0\0\1\0\0\0\10\0\1\0\177\0\0\1"...,
4096}], msg_controllen=0, msg_flags=0}, 0) = 20
close(3)                                = 0
open("/etc/localtime", O_RDONLY)        = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=2945, ...}) = 0
fstat(3, {st_mode=S_IFREG|0644, st_size=2945, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaab7f61000
read(3, "TZif2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\f\0\0\0\f\0\0\0\0"..., 4096)
= 2945
lseek(3, -1863, SEEK_CUR)               = 1082
read(3, "TZif2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\r\0\0\0\r\0\0\0\0"..., 4096)
= 1863
close(3)                                = 0
munmap(0x2aaab7f61000, 4096)            = 0
write(2, "[Wed Jan 02 21:35:22 2008] [crit"..., 140[Wed Jan 02 21:35:22 2008]
[crit] (EAI 9)Address family for hostname not supported: alloc_listener: failed
to set up sockaddr for 127.0.0.1
) = 140
write(2, "Syntax error on line 134 of /etc"..., 56Syntax error on line 134 of
/etc/httpd/conf/httpd.conf:
) = 56
write(2, "Listen setup failed\n", 20Listen setup failed
)   = 20
munmap(0x2aaab7d36000, 2273160)         = 0
...
munmap(0x2aaaae87f000, 2105624)         = 0
exit_group(1)                           = ?
Comment 19 Nicolas Mailhot 2008-01-02 15:53:45 EST
(In reply to comment #17)
> (In reply to comment #16)
> > # ltrace /usr/sbin/httpd 
> 
> That cannot work.  You have to run the program in the foreground.  No idea how
> to do this with apache.

httpd man page says 

-X     Run httpd in debug mode. Only one worker will be started and the server
will not detach from the console.

but ltrace /usr/sbin/httpd -X is no different
Comment 20 Ulrich Drepper 2008-01-02 16:21:48 EST
Created attachment 290678 [details]
Test program

(In reply to comment #15)
> As shown in comment #11 I posted yesterday it is
> 
> (EAI 9)Address family for
> hostname not supported: alloc_listener: failed to set up sockaddr for
127.0.0.1
> Syntax error on line 134 of /etc/httpd/conf/httpd.conf


This says nothing and I cannot reproduce it.  It works fine here.  And anything
related to localhost not working is suspicious since this is what is most
likely fixed in the update.


> Additionnally fetchmail still fails the same way. Here is a new trace though
> little has changed to my eyes

I cannot see anything wrong here.  Try to run the attached program.
Comment 21 Nicolas Mailhot 2008-01-02 16:39:01 EST
Test program output diff (with old working and new failing glibc)

--- good.log    2008-01-02 22:34:23.000000000 +0100
+++ bad.log     2008-01-02 22:36:16.000000000 +0100
@@ -1,25 +1,22 @@
 ==== only node
-209.85.135.109
-209.85.135.109
-209.85.135.109
+::ffff:209.85.135.109
+::ffff:209.85.135.109
+::ffff:209.85.135.109
 ==== with ADDRINFO hint
-209.85.135.109
-209.85.135.109
-209.85.135.109
 ==== with INET hint
 209.85.135.109
 209.85.135.109
 209.85.135.109
 ==== with INET6 hint
 ==== with service only node
-209.85.135.109
-209.85.135.109
+::ffff:209.85.135.109
+::ffff:209.85.135.109
 ==== with service and ADDRINFO hint
-209.85.135.109
-209.85.135.109
 ==== with service and INET hint
 209.85.135.109
 209.85.135.109
 ==== with service and INET6 hint
 failed: -2 (Name or service not known)
 failed: -2 (Name or service not known)
+failed: -2 (Name or service not known)
+failed: -2 (Name or service not known)
Comment 22 Ulrich Drepper 2008-01-02 19:26:35 EST
I've fixed a problem upstream which should be the one you're having.  It pops up
when IPv6 is disabled.  You haven't said what your configuration is so I cannot
say whether this is your issue.

Anyway, Jakub will sometime soon build 2.7.90-3.
Comment 23 Nicolas Mailhot 2008-01-04 07:46:03 EST
glibc-2.7.90-3 seems to fix the problem for me